VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | List of all members
TestDefaults Struct Reference

`#include <testbase.h>`

## Static Public Member Functions
static TestDefaults & | instance ()

## Public Attributes
int32 | numIterations {20}
int32 | defaultSampleRate {44100}
int32 | defaultBlockSize {64}
int32 | maxBlockSize {8192}
int32 | buffersAreEqual {0}
int32 | numAudioBlocksToProcess {3}
uint64 | channelIsSilent {1}

## Member Function Documentation

## ◆ instance()

static TestDefaults & instance | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ numIterations

int32 numIterations {20}

## ◆ defaultSampleRate

int32 defaultSampleRate {44100}

## ◆ defaultBlockSize

int32 defaultBlockSize {64}

## ◆ maxBlockSize

int32 maxBlockSize {8192}

## ◆ buffersAreEqual

int32 buffersAreEqual {0}

## ◆ numAudioBlocksToProcess

int32 numAudioBlocksToProcess {3}

## ◆ channelIsSilent

uint64 channelIsSilent {1}

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.